Last Comment Bug 759744 - Telemetry opt-in looks strange with default window size
: Telemetry opt-in looks strange with default window size
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Mail Window Front End (show other bugs)
: 13 Branch
: x86 Windows 7
: -- normal (vote)
: Thunderbird 16.0
Assigned To: Andreas Nilsson (:andreasn)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 07:19 PDT by Mike Conley (:mconley) - (Needinfo me!)
Modified: 2012-06-28 19:08 PDT (History)
4 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
The Telemetry opt-in notification with default window size (15.83 KB, image/png)
2012-05-30 07:19 PDT, Mike Conley (:mconley) - (Needinfo me!)
no flags Details
patch to remove overflow (434 bytes, patch)
2012-06-19 05:20 PDT, Andreas Nilsson (:andreasn)
mconley: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Mike Conley (:mconley) - (Needinfo me!) 2012-05-30 07:19:47 PDT
Created attachment 628330 [details]
The Telemetry opt-in notification with default window size

STR:

1. On Windows 7, create a new Thunderbird profile
2. Set up an account, and close the "Know your rights" notification
3. Close and restart Thunderbird to show the Telemetry opt-in notification

What happens?

The notification looks a bit odd with the default window size - the buttons are cut off at the bottom, and the whole things looks crowded with the status bar. Kinda ugly.

See screenshot.

What's expected?

It should look better. :)
Comment 1 Andreas Nilsson (:andreasn) 2012-06-12 21:24:04 PDT
Here is an approach I tried to take:
white-space: nowrap;
overflow: hidden;
text-overflow: ellipsis;

In order for the text to go... and leave space for the buttons. No cigar so far.
Comment 2 Andreas Nilsson (:andreasn) 2012-06-12 21:40:44 PDT
This seems to be a general problem for notification bars in general, as I ran into this with the latest patch in bug #562048
Comment 3 Andreas Nilsson (:andreasn) 2012-06-19 05:20:58 PDT
Created attachment 634358 [details] [diff] [review]
patch to remove overflow

This removes the overflow-x: hidden; rule from all notification bars introduced with bug #714733 and allows notifications to resize again in order to contain all the elements inside them.
Comment 4 Andreas Nilsson (:andreasn) 2012-06-19 05:49:43 PDT
<florian> andreasn: the notificationbox { overflow-x: hidden; } was added in 2008 for Instantbird (https://hg.instantbird.org/instantbird/rev/43b3e5cd830d) I don't think it's useful anymore.
<florian> the .textbox-textarea was added in 2009 by https://hg.instantbird.org/instantbird/rev/851492a73b19
 apparently we had a pointless horizontal scrollbar at that time, but I don't know if it would reappear if we remove the rule

So we should be safe.
Comment 5 Mike Conley (:mconley) - (Needinfo me!) 2012-06-21 12:49:39 PDT
Comment on attachment 634358 [details] [diff] [review]
patch to remove overflow

This does the job, thanks!

I think we might want to take this on aurora and beta too - the risk is nil.

Note You need to log in before you can comment on or make changes to this bug.